import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';
import 'package:hydrated_bloc/hydrated_bloc.dart';

import 'package:scrobbles/models/new_tracks.dart';

part 'data_new_tracks_state.dart';

class DataNewTracksCubit extends HydratedCubit<DataNewTracksState> {
  DataNewTracksCubit() : super(const DataNewTracksState());

  void getData(DataNewTracksState state) {
    emit(state);
  }

  NewTracksData? getValue() {
    return state.newTracks;
  }

  void update(NewTracksData? newTracks) {
    if ((newTracks != null) && (state.newTracks.toString() != newTracks.toString())) {
      setValue(newTracks);
    }
  }

  void setValue(NewTracksData? newTracks) {
    emit(DataNewTracksState(
      newTracks: newTracks,
    ));
  }

  @override
  DataNewTracksState? fromJson(Map<String, dynamic> json) {
    return DataNewTracksState(
      newTracks: NewTracksData.fromJson(json['newTracks']),
    );
  }

  @override
  Map<String, Object?>? toJson(DataNewTracksState state) {
    return <String, Object?>{
      'newTracks': state.newTracks?.toJson(),
    };
  }
}
