import 'package:flutter/material.dart';

import 'package:scrobbles/ui/widgets/cards/discoveries.dart';
import 'package:scrobbles/ui/widgets/cards/new_artists.dart';
import 'package:scrobbles/ui/widgets/cards/new_tracks.dart';

class ScreenDiscoveries extends StatelessWidget {
  final Function() notifyParent;

  const ScreenDiscoveries({super.key, required this.notifyParent});

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Theme.of(context).colorScheme.background,
      child: RefreshIndicator(
        onRefresh: () async {
          this.notifyParent();
        },
        child: ListView(
          padding: const EdgeInsets.symmetric(horizontal: 4),
          physics: const BouncingScrollPhysics(),
          children: <Widget>[
            const SizedBox(height: 8),
            const CardDiscoveries(),
            const SizedBox(height: 6),
            const CardNewArtists(),
            const SizedBox(height: 6),
            const CardNewTracks(),
            const SizedBox(height: 36),
          ],
        ),
      ),
    );
  }
}
